GET https://services.leadconnectorhq.com/conversations/{conversationId}/messages
Authorization
Name
Type
Required
Example
Description
Authorization
string
Yes
Bearer token generated from the Leadway portal. See Authentication.
Version
string
Yes
2021-07-28
API version.
Path parameters
Name
Type
Required
Example
Description
conversationId
string
Yes
tDtDnQdgm2LXpyiqYvZ6
Conversation ID as string
Query parameters
Name
Type
Required
Example
Description
lastMessageId
string
No
tDtDnQdgm2LXpyiqYvZ6
Message ID of the last message in the list as a string
limit
number
No
20
Number of messages to be fetched from the conversation. Default limit is 20
type
string
No
TYPE_SMS,TYPE_CALL
Types of message to fetched separated with comma
Responses
200 - List of messages for the conversation id of the given type.
lastMessageId (string, required): Id of the last message in the messages array Example: p1mRSHeLDhAms5q0LMr4
nextPage (boolean, required): Next page value true indicates only 20 message is in the response. Rest of the messages are in the next page. Please use the lastMessageId value in the query to get the next page messages Example: True
messages (object[], required): Array of messages
id (string, required): Example: ve9EPM428h8vShlRW1KT
type (number, required): Example: 1
messageType (string, required): Type of the message as a string Possible values: 'TYPE_CALL', 'TYPE_SMS', 'TYPE_RCS', 'TYPE_EMAIL', 'TYPE_SMS_REVIEW_REQUEST', 'TYPE_WEBCHAT', 'TYPE_SMS_NO_SHOW_REQUEST', 'TYPE_CAMPAIGN_SMS', 'TYPE_CAMPAIGN_CALL', 'TYPE_CAMPAIGN_EMAIL', 'TYPE_CAMPAIGN_VOICEMAIL', 'TYPE_FACEBOOK', 'TYPE_CAMPAIGN_FACEBOOK', 'TYPE_CAMPAIGN_MANUAL_CALL', 'TYPE_CAMPAIGN_MANUAL_SMS', 'TYPE_GMB', 'TYPE_CAMPAIGN_GMB', 'TYPE_REVIEW', 'TYPE_INSTAGRAM', 'TYPE_WHATSAPP', 'TYPE_CUSTOM_SMS', 'TYPE_CUSTOM_EMAIL', 'TYPE_CUSTOM_PROVIDER_SMS', 'TYPE_CUSTOM_PROVIDER_EMAIL', 'TYPE_IVR_CALL', 'TYPE_ACTIVITY_CONTACT', 'TYPE_ACTIVITY_INVOICE', 'TYPE_ACTIVITY_PAYMENT', 'TYPE_ACTIVITY_OPPORTUNITY', 'TYPE_LIVE_CHAT', 'TYPE_LIVE_CHAT_INFO_MESSAGE', 'TYPE_ACTIVITY_APPOINTMENT', 'TYPE_FACEBOOK_COMMENT', 'TYPE_INSTAGRAM_COMMENT', 'TYPE_CUSTOM_CALL', 'TYPE_INTERNAL_COMMENT', 'TYPE_ACTIVITY_EMPLOYEE_ACTION_LOG', 'TYPE_TIKTOK', 'TYPE_TIKTOK_COMMENT', 'TYPE_ACTIVITY_WHATSAPP', 'TYPE_FORM_SUBMISSION', 'TYPE_SMS_REACTION' Example: SMS
attachments (string[]): An array of attachment URLs. Attachments will be empty for Call and Voicemails, type 1 and 10. Please use get call recording API to fetch call recording and voicemails.
meta (object)
callDuration (string): Call duration in seconds Example: 120
callStatus (string): Call status - can be pending, completed, answered, busy, no-answer, failed, canceled, or voicemail Possible values: 'pending', 'completed', 'answered', 'busy', 'no-answer', 'failed', 'canceled', 'voicemail' Example: completed
email (object): meta will contain email, for message type 3 (email). messageIds is list of all email message ids under the message thread